> For the complete documentation index, see [llms.txt](https://docs.monnet.io/OoF1XuWTEpPjI0i2ERRO/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monnet.io/OoF1XuWTEpPjI0i2ERRO/country-requirements/mexico.md).

# Mexico

The necessary information for Mexico is presented below in order to carry out a correct payout.

## Mandatory parameters

| Field                            | Description                                                                                                                                                                                                                                            |
| -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| country                          | <p><strong>String (Required- Lenght: 3 digits)</strong> </p><p> ISO 3166-1-alpha-3. In the case of Mexico: MEX</p>                                                                                                                                     |
| amount                           | <p><strong>Integer (Required- Lenght: 10 digits)</strong></p><p>The amount of the transaction. <strong>The 2 last digits will be consider as decimal. Ex:</strong><br><strong>100000 equals "one thousand"</strong></p>                                |
| currency                         | <p><strong>String (Required- Lenght: 3 digits)</strong> </p><p>The currency of the payroll. ISO-4217. In the case of MEX: MXN<br>You can see the explication on <a data-mention href="/pages/goXlrdQZfDDMNgpat6RV">/pages/goXlrdQZfDDMNgpat6RV</a></p> |
| orderId                          | <p> <strong>String (Required- Lenght: 20 digits)</strong> </p><p>Merchant transaction code (Purchase Order)</p>                                                                                                                                        |
| description                      | <p> <strong>String (Required- Lenght: 50 digits)</strong> </p><p>For customer use</p>                                                                                                                                                                  |
| beneficiary.name                 | <p> <strong>String (Required)</strong> </p><p>Name of the Beneficiary</p>                                                                                                                                                                              |
| beneficiary.lastName             | <p> <strong>String (Required)</strong> </p><p>Last name of the Beneficiary</p>                                                                                                                                                                         |
| beneficiary.email                | <p> <strong>String (Required)</strong> </p><p>Beneficiary's email</p>                                                                                                                                                                                  |
| beneficiary.document.type        | <p><strong>Integer (Required)</strong> </p><p>Type of Account of the beneficiary to pay. You must enter the numeric code as indicated</p>                                                                                                              |
| beneficiary.document.number      | <p> <strong>String (Required)</strong> </p><p>Contains the beneficiary's document number.</p>                                                                                                                                                          |
| destination.bankAccount.bankCode | <p><strong>String (Required)</strong> </p><p>Code of the receiving bank or financial institution.</p>                                                                                                                                                  |
| destination.bankAccount.clabe    | <p><strong>Integer (Required)</strong> </p><p>Clave of the beneficiary to pay. It must have 16 or 18 digits.<br><br><em>18 digits for CLABE</em><br><em>16 digits for CARD</em></p>                                                                    |
| subMerchantInfo.code             | <p><strong>String (Required only for PSP)</strong><br>Submerchant Identifier</p>                                                                                                                                                                       |
| subMerchantInfo.name             | <p><strong>String (Required only for PSP)</strong><br>Submerchant Name</p>                                                                                                                                                                             |
| subMerchantInfo.url              | <p><strong>String (Required only for PSP)</strong><br>Submerchant URL</p>                                                                                                                                                                              |

{% hint style="success" %}
New Feature

**Email Notification to the Beneficiary**

It is now possible to automatically send emails to the beneficiary with the outcome of the Payout (success or rejected).

**Requirements:**

* Request the activation of **"Email notifications to the user"** through your account manager.
* Include the `beneficiary.email` parameter in each transaction. If this field is missing, the email will not be sent.
  {% endhint %}

{% hint style="info" %}
**IMPORTANT:**

* &#x20;The minimum amount allowed is 0.01 MXN.&#x20;
  {% endhint %}

## Request Example

**Success Test**

```json
{
	"country": "MEX",
	"amount": 100000,
	"currency": "MXN",
	"orderId": "R123456",
	"description": "FreeTextFreeTextFreeTextFreeText",
	"beneficiary": {
		"name": "Sergio",
		"lastName": "test",
		"email": "test@test.com",
		"document": {
			"type": 1,
			"number": "1234567891123"
		}
	},
	"destination": {
		"bankAccount": {
			"bankCode": "001",
			"clabe":"646180110400000007",
		}
	}
}
```

**Rejected Test**

```json
{
	"country": "MEX",
	"amount": 100000,
	"currency": "MXN",
	"orderId": "R123456",
	"description": "FreeTextFreeTextFreeTextFreeText",
	"beneficiary": {
		"name": "Sergio",
		"lastName": "test",
		"email": "test@test.com",
		"document": {
			"type": 1,
			"number": "1234567891123"
		}
	},
	"destination": {
		"bankAccount": {
			"bankCode": "001",
			"clabe":"646180110400000003",
		}
	}
}
```

{% hint style="danger" %} <mark style="color:red;">**Time Outs**</mark>&#x20;

In the case of receiving a <mark style="color:red;">**Time Out**</mark> as a response from this API we recommend resending the payout again after 60 seconds using the same **orderId**.&#x20;

This way we will check if the payout was processed and avoid double payments.
{% endhint %}

## Document Validations

| Parameter | ID Type | Lenght              |
| --------- | ------- | ------------------- |
| 1         | INE     | 13                  |
| 2         | CURP    | 18                  |
| 3         | RFC     | 10, 12 or 13 digits |
| 4         | PAS     | 18 max length       |

## Account Type

| Parameter | Type            |
| --------- | --------------- |
| 1         | Current account |
| 2         | Savings account |

{% hint style="info" %}
**Not a required field for Mexico**
{% endhint %}

## Bank List

| Code                       | Name                                                |
| -------------------------- | --------------------------------------------------- |
| <p> </p><p>001</p><p> </p> | BANXICO                                             |
| 002                        | BANAMEX                                             |
| 006                        | BANCO NACIONAL DE COMERCIO EXTERIOR                 |
| <p> </p><p>009</p><p> </p> | BANOBRAS                                            |
| 012                        | BBVA                                                |
| 014                        | SANTANDER                                           |
| 019                        | BANCO NACIONAL DEL EJERCITO Y FUERZA AEREA y ARMADA |
| 021                        | HSBC                                                |
| 030                        | BANCO DEL BAJIO                                     |
| ~~032~~                    | ~~IXE BANCO~~                                       |
| 036                        | BANCO INBURSA                                       |
| 042                        | MIFEL                                               |
| 044                        | SCOTIABANK                                          |
| 058                        | BANCO REGIONAL DE MONTERREY                         |
| 059                        | BANCO INVEX                                         |
| 060                        | BANSI                                               |
| 062                        | BANCO AFIRME                                        |
| 072                        | BANORTE                                             |
| 106                        | BANK OK AMERICA                                     |
| 108                        | MUFG                                                |
| 110                        | JP MORGAN                                           |
| 112                        | BMONEX                                              |
| 113                        | VE POR MAS                                          |
| 124                        | CITI MEXICO                                         |
| ~~126~~                    | ~~Credit Suisse~~                                   |
| 127                        | AZTECA                                              |
| 128                        | AUTOFIN                                             |
| 129                        | BARCLAYS                                            |
| 130                        | COMPARTAMOS                                         |
| 132                        | MULTIVA BANCO                                       |
| 133                        | ACTINVER                                            |
| 135                        | NACIONAL FINANCIERA                                 |
| 136                        | INTERCAM BANCO                                      |
| 137                        | BANCOPPEL                                           |
| 138                        | UALA                                                |
| 140                        | CONSUBANCO                                          |
| 141                        | VOLKSWAGEN                                          |
| ~~143~~                    | ~~CIBANCO~~                                         |
| 145                        | BBASE                                               |
| 147                        | BANKAOOL                                            |
| 148                        | PAGATODO                                            |
| 150                        | INMOBILIARIO                                        |
| 151                        | DONDE                                               |
| 152                        | BANCREA                                             |
| 154                        | BANCO COVALTO                                       |
| 155                        | ICBC                                                |
| 156                        | SABADELL                                            |
| 157                        | SHINHAN                                             |
| 158                        | MIZUHO BANK                                         |
| 159                        | BANK OF CHINA                                       |
| 160                        | BANCO S3                                            |
| 166                        | BANSEFI                                             |
| 167                        | HEY BANCO                                           |
| 168                        | Hipotecaria Federal                                 |
| 600                        | MONEXCB                                             |
| 601                        | GBM                                                 |
| 602                        | MASARI                                              |
| 605                        | VALUE                                               |
| 608                        | VECTOR                                              |
| ~~613~~                    | ~~MULTIVA CBOLSA~~                                  |
| 616                        | FINAMEX                                             |
| 617                        | VALMEX                                              |
| 620                        | PROFUTURO                                           |
| 630                        | CB INTERCAM                                         |
| 631                        | CI BOLSA                                            |
| 634                        | FINCOMUN                                            |
| 638                        | NU MEXICO                                           |
| 646                        | STP                                                 |
| ~~648~~                    | ~~TACTIV CB~~                                       |
| 652                        | CREDICAPITAL                                        |
| 653                        | KUSPIT                                              |
| 656                        | UNAGRA                                              |
| 659                        | ASP INTEGRA OPC                                     |
| 661                        | ALTERNATIVOS                                        |
| 670                        | LIBERTAD                                            |
| 677                        | CAJA POP MEXICA                                     |
| 680                        | CRISTOBAL COLON                                     |
| 683                        | CAJA TELEFONIST                                     |
| 684                        | OPM                                                 |
| 685                        | FONDO (FIRA)                                        |
| ~~686~~                    | ~~INVERCAP~~                                        |
| 688                        | CREDICLUB                                           |
| 689                        | FOMPED                                              |
| 699                        | FONDEADORA                                          |
| 703                        | TESORED                                             |
| 706                        | ARCUS                                               |
| 710                        | NVIO                                                |
| 715                        | CASHI CUENTA                                        |
| 720                        | MEXPAGO                                             |
| 721                        | ALBO                                                |
| 722                        | MERCADO PAGO W                                      |
| 723                        | CUENCA                                              |
| 725                        | COOPDESARROLLO                                      |
| 727                        | TRANSFER DIRECT                                     |
| 728                        | SPIN BY OXXO                                        |
| 729                        | DEP Y PAG DIG                                       |
| 730                        | SWAP                                                |
| 732                        | PEIBO                                               |
| 734                        | FINCO PAY                                           |
| 738                        | FINTOC                                              |
| 802                        | BANAMEX2                                            |
| 812                        | BBVA BANCOMER2                                      |
| 814                        | SANTANDER2                                          |
| 821                        | HSBC2                                               |
| 872                        | BANORTE2                                            |
| 901                        | CLS                                                 |
| 902                        | INDEVAL                                             |
| 903                        | CoDi Valida                                         |
| 927                        | AZTECA2                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monnet.io/OoF1XuWTEpPjI0i2ERRO/country-requirements/mexico.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
